#ifndef		__VECTOR_WIDGET_H__
#define		__VECTOR_WIDGET_H__

#include "vectorimage.h"
#include <MASkinG.h>
using namespace MAS;


class VectorWidget : public ScrollBox {
	public:
		VectorImage *image;
		int selectedStroke;
		int selectedPoint;
		int selectedGradient;
		int editMode;
		int drawMode;

		int client_w, client_h;
		int offset_x, offset_y;
		float zoom;

		VectorWidget();

		void SelectStroke(int i);
		void SelectGradient(int i);
		void EditMode(int m);
		void EnableMode(int m);
		void DisableMode(int m);

	protected:
		void DrawClientArea(Bitmap &canvas, int x, int y);
		bool MsgWantfocus();
		bool MsgWantmouse();
		bool MsgChar(int c);
		void MsgWheel(int z);
		void MsgLPress();
		void MsgLRelease();
		void MsgMousemove(const Point &d);
		void MsgRPress();
		Vector2D GetMousePosEx();
};


#endif		//__VECTOR_WIDGET_H__
